DashboardAPI Docs
ChangelogSystem StatusMy Account
DashboardAPI Docs
ChangelogSystem StatusMy Account
  1. Speech to Text API
  • Introduction
  • API Authentication
  • Text to Speech API
    • WebSocket
    • Generate TTS
      POST
    • List Voices
      POST
  • VoxFX Effects API
    • Generate TTS with VoxFX
      POST
    • List VoxFX Effects
      GET
  • Voice Cloning API
    • Create Voice Clone
      POST
    • List Voice Clones
      GET
    • Get Single Voice
      GET
    • Edit Voice Clone
      PUT
    • Delete Voice Clone
      DELETE
  • Speech to Speech API
    • Convert Speech to Speech
      POST
  • Speech to Text API
    • Speech to Text API
      POST
    • List Transcription Files
      GET
    • Get Single Transcription
      GET
  1. Speech to Text API

List Transcription Files

GET
https://developer.voicemaker.in/api/v1/speech-to-text
Retrieve a paginated list of all transcription jobs created within the last 1 hour.

Workflow:#

Transcription jobs that remain in a pending state for more than 15 minutes are automatically marked as failed.
Failed jobs due to timeout will include a timeout error status in the response.
You can Track job status (completed, pending, failed)

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Paginated list of transcriptions
Bodyapplication/json

🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://developer.voicemaker.in/api/v1/speech-to-text?page=undefined&limit=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "success": true,
    "data": [
        {
            "taskId": "6963d6514017c12417a5d2fb",
            "name": "176798484225230676tx65i0xs-voicemaker.in-speech.mp3",
            "fileName": "transcribe-1768150609567472.mp3",
            "speechFile": "https://developer.voicemaker.in/uploads-transcribe/transcribe-1768150609567472.mp3",
            "model": "stt-flagship-v1",
            "generatedText": "Erbongweni prison transfer. Plot to kill Kat Muthala in prison unearthed. Very corrupt senior government officials want Muthala dead before he exposes them.",
            "status": "completed",
            "charge": 225
        }
    ],
    "count": 1,
    "page": "",
    "limit": ""
}
Modified at 2026-05-18 17:01:04
Previous
Speech to Text API
Next
Get Single Transcription
Built with